org.appng.api

## Class Platform

- java.lang.Object
- - org.appng.api.Platform

-     public final class Platform
      extends Object

  Utility class providing platform-wide used constants.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Platform.Environment` Constants used for accessing an `Environment`-attribute with `Scope.PLATFORM`.
    `class` | `Platform.Property` Constants used for the global platform-configuration.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SERVICE_TYPE_ACTION` constant for services of type 'action'
    `static String` | `SERVICE_TYPE_DATASOURCE` constant for services of type 'datasource'
    `static String` | `SERVICE_TYPE_REST` constant for services of type 'rest'
    `static String` | `SERVICE_TYPE_SOAP` constant for services of type 'soap'
    `static String` | `SERVICE_TYPE_WEBSERVICE` constant for services of type 'webservice'

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_TYPE_REST

          public static final String SERVICE_TYPE_REST

      constant for services of type 'rest'
      See Also:
        `Path.getService()`, `Path.isService()`, Constant Field Values

    - #### SERVICE_TYPE_SOAP

          public static final String SERVICE_TYPE_SOAP

      constant for services of type 'soap'
      See Also:
        `Path.getService()`, `Path.isService()`, Constant Field Values

    - #### SERVICE_TYPE_WEBSERVICE

          public static final String SERVICE_TYPE_WEBSERVICE

      constant for services of type 'webservice'
      See Also:
        `Path.getService()`, `Path.isService()`, Constant Field Values

    - #### SERVICE_TYPE_DATASOURCE

          public static final String SERVICE_TYPE_DATASOURCE

      constant for services of type 'datasource'
      See Also:
        `Path.getService()`, `Path.isService()`, Constant Field Values

    - #### SERVICE_TYPE_ACTION

          public static final String SERVICE_TYPE_ACTION

      constant for services of type 'action'
      See Also:
        `Path.getService()`, `Path.isService()`, Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.